#!/usr/bin/python

__author__ =  'Mohamed A. Bamakhrama'
__description__ = 'Partition model'

class Partition:
	def __init__(self, utilization_bound):
		self.tasks = set()
		self.utilization = 0.0
		self.utilization_bound = utilization_bound


	def add_task(self, task):
		if (self.utilization + task.get_utilization()) <= self.utilization_bound:
			self.tasks.add(task)
			self.utilization += task.get_utilization()
			return True
		else:
			return False


	def get_tasks(self):
		return self.tasks

		
	def __repr__(self):
		s = "\n{"
		for i in self.tasks:
			s += i.get_name() + ","
		s += "}\n"
		return s



